View Issue Details

IDProjectCategoryView StatusLast Update
13774Bug reports[All Projects] Survey takingpublic2018-06-15 15:43
ReporterMaziAssigned Todominikvitt 
PrioritynoneSeverityblock 
Status closedResolutionfixed 
Product Version3.9.x 
Target VersionFixed in Version3.11.x 
Summary13774: Date drop down always throws error using date format dd.mm.yyyy
Description

When using default date format for German language (which is dd.mm.yyyy) any date entered at a date drop down question throws error
"Could not convert date 1913-11-18 to format d.m.Y. Please check your date format settings."

Steps To Reproduce
  1. Import the attached survey.
  2. Run the survey.
  3. Enter any date at the date drop down question
  4. Click next -> error is shown
Additional Information

Using date format to yyyy-mm-dd work fine, others not tested.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.9.0+180604
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-VersionMySQL 5
Server OS (if known)Ubuntu 14 TLS
Webserver software & version (if known)Apache 2
PHP Version7.0.26

Relationships

related to 12757 closeddominikvitt When using only time inputs the date/time questions throws an em error 

Activities

Mazi

Mazi

2018-06-13 21:28

partner  

date_format_error.png (16,965 bytes)
date_format_error.png (16,965 bytes)
limesurvey_survey_749548-date-format-test.lss (14,255 bytes)
guest

guest

2018-06-14 14:36

viewer   ~48111

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27425

guest

guest

2018-06-14 17:12

viewer   ~48114

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27426

c_schmitz

c_schmitz

2018-06-15 15:43

administrator   ~48163

Version 3.12.1 Build 180616 released

Related Changesets

LimeSurvey: master 0a1e17de

2018-06-14 14:34:59

Dominik Vitt

Details Diff
Fixed issue 13774: Date drop down always throws error using date format dd.mm.yyyy Affected Issues
13774
mod - assets/scripts/expressions/em_javascript.js Diff File

LimeSurvey: master 6c561dbe

2018-06-14 14:34:59

Dominik Vitt

Details Diff
Fixed issue 13774: Date drop down always throws error using date format dd.mm.yyyy Affected Issues
13774
mod - assets/scripts/expressions/em_javascript.js Diff File

Issue History

Date Modified Username Field Change
2018-06-13 21:28 Mazi New Issue
2018-06-13 21:28 Mazi File Added: date_format_error.png
2018-06-13 21:28 Mazi File Added: limesurvey_survey_749548-date-format-test.lss
2018-06-13 21:31 Mazi Relationship added related to 12757
2018-06-14 10:47 dominikvitt Assigned To => dominikvitt
2018-06-14 10:47 dominikvitt Status new => assigned
2018-06-14 14:36 Changeset attached => LimeSurvey master 0a1e17de
2018-06-14 14:36 guest Note Added: 48111
2018-06-14 14:36 guest Resolution open => fixed
2018-06-14 14:38 dominikvitt Status assigned => resolved
2018-06-14 14:38 dominikvitt Fixed in Version => 3.11.x
2018-06-14 17:12 Changeset attached => LimeSurvey master 6c561dbe
2018-06-14 17:12 guest Note Added: 48114
2018-06-15 15:43 c_schmitz Note Added: 48163
2018-06-15 15:43 c_schmitz Status resolved => closed